<!DOCTYPE html>
<html>
<head>
	<title>Button Practice</title>
</head>
<style type="text/css">
body{
	margin:0;
}
	.button{
		padding: 20px;
		background-color: pink;
		text-align: center;
	}
	div{
		
		background-color: pink;
		transition: .2s;

	}
	span:hover{
		background:yellow;
	}
	.image{
		height:100px;
		width: 100px;
	}
	
	a{
		height:100px;
		width: 100px
	}
</style>
<body>
 	<span><a href="http:\\www.google.com"><span class="button">Google</span></a></span>
 	<span class="button image">
 		<a href="http:\\www.instagram.com">
 				<img src ="./bg.png" height="50px" width="50px">
 				Instagram
 		</a>
 	</span>

 	<span><a href="http:\\www.google.com"><span class="button">Google</span></a></span>
</body>
</html>